This method will scan all application processes and and return them to the caller.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/applicationProcesses/{tenantId}
- https://membership.api.rhythmsoftware.comhttps://membership.api.rhythmsoftware.com/applicationProcesses/{tenantId}
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/applicationProcesses/{tenantId}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'The application processeswere retrieved successfully.
The origin types that are applicable to this process - blank for just principle
The email to send when the application is received
A description of the process to help the user understand whether to choose
If true, the confirmation email is sent out when a user completes but does not pay, and an activation email goes out upon payment
If true, do NOT set the default package for renewals, instead forcing them to choose one
Whether or not an email should be sent when the application is received
If set, the application generation logic will call a custom lambda function
If set, custom order generation logic is run
Whether or not to send an email when the membership is actually activated
Whether order generation rules apply
Whether section requirements are enabled for this membership type
The default application form for this process membership
Email to send once the membership is activated
Whether or not memberships require approval
Whether or not to override POC settings
The packages in this path are restricted
The membership types in this path are restricted
Restrict to certain types of organizations
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
[ { "applicable_origins": [ … ], "application_confirmation_email": { … }, "approval_chapter_ids": [ … ], "approval_lambda_function_id": "string", "change_options": { … }, "checkout_settings": { … }, "contact_form_options": { … }, "custom_application_generation_logic_options": { … }, "custom_application_pre_processing_lambda_function_id": "string", "customer_type": "contact", "description": "string", "display_in_portal": true, "display_in_portal_as": "string", "display_order": 0.1, "do_not_send_activation_email_until_membership_is_paid": true, "do_not_set_default_renewal_package": true, "eligibility_criteria": {}, "enable_application_confirmation_email": true, "enable_custom_application_generation_logic": true, "enable_custom_application_pre_processing": true, "enable_eligibility_criteria": true, "enable_membership_activation_email": true, "enable_order_generation_rules": true, "enable_section_restrictions": true, "form_id": "string", "id": "string", "is_active": true, "membership_activation_email": { … }, "membership_package_ids": [ … ], "membership_type_ids": [ … ], "memberships_require_approval": "always", "name": "string", "order_generation_rules": [ … ], "organization_form_options": { … }, "organization_type_ids": [ … ], "organizational_membership_options": { … }, "override_checkout_settings": true, "reinstatement_options": { … }, "renewal_options": { … }, "restrict_membership_packages": true, "restrict_membership_types": true, "restrict_organization_types": true, "section_restrictions": { … }, "show_contact_form": true, "show_organization_form": true, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ … ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "type": "change affiliations" } ]